Bug 816148 - GlusterFS should not abuse standard RPC-AUTH-flavour values
GlusterFS should not abuse standard RPC-AUTH-flavour values
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
3.3-beta
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Anush Shetty
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-25 06:57 EDT by Niels de Vos
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:39:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-04-25 06:57:35 EDT
Description of problem:
The GlusterFS 330 protocol uses value 6 as AUTH-flavor. This value is officially assigned to RPCSEC_GSS (RFC 5531, page 61).

This is a huge issue for any tools decoding the AUTH-flavor. When GlusterFS uses the AUTH-flavor 6, tools will try to decode this as RPCSEC_GSS. The decoded data will not make sense, but most importantly, any follow-up decoding will fail as a result.

Version-Release number of selected component (if applicable):
Gluster 3.3.x

How reproducible:
Any filesystem operations that require the RPC-AUTH-header.


Some background information was sent to the gluster-devel mailinglist earlier:
- http://lists.nongnu.org/archive/html/gluster-devel/2012-04/msg00118.html
Comment 1 Anand Avati 2012-05-03 17:10:36 EDT
CHANGE: http://review.gluster.com/3230 (RPC: change the AUTH_GLUSTERFS_v2 value to private range) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anush Shetty 2012-05-30 10:09:47 EDT
Verified with 3.3.0qa45

Note You need to log in before you can comment on or make changes to this bug.